﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-ios'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/7cdc2969a641/TargetSupportInstaller/UnitySetup-iOS-Support-for-Editor-2022.3.3f1.exe'
$checksum64     = '77a803ed654ee2dd3306d17f59e947f3992a9a9d5fc534ba85bd83772aed2dbe'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
